# Class ConfigObservation.ColorRange

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a range of colors, typically used to define a spectrum or gradient between a start and end color.

    public class ConfigObservation.ColorRange

Inheritance
  object
  ConfigObservation.ColorRange

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Fields

### ValueType

    public ObservationEnum.ValueType? ValueType

#### Field Value

ObservationEnum.ValueType?

## Properties

### Color

    public string? Color { get; set; }

#### Property Value

string

### Label

    public string? Label { get; set; }

#### Property Value

string

### MatchBoolean

    public bool? MatchBoolean { get; set; }

#### Property Value

bool?

### MatchText

    public string? MatchText { get; set; }

#### Property Value

string

### Max

    public double? Max { get; set; }

#### Property Value

double?

### MaxDate

    public string? MaxDate { get; set; }

#### Property Value

string

### Min

    public double? Min { get; set; }

#### Property Value

double?

### MinDate

    public string? MinDate { get; set; }

#### Property Value

string